Bug 218912 - www/firefox: update to 54.0
Summary: www/firefox: update to 54.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko mailing list
URL: https://www.mozilla.org/firefox/54.0/...
Keywords: patch
Depends on:
Blocks: 219963
  Show dependency treegraph
 
Reported: 2017-04-27 12:37 UTC by Jan Beich
Modified: 2017-06-14 14:02 UTC (History)
1 user (show)

See Also:


Attachments
beta2 (46.62 KB, patch)
2017-04-27 12:37 UTC, Jan Beich
no flags Details | Diff
beta6 (53.59 KB, patch)
2017-05-09 15:19 UTC, Jan Beich
no flags Details | Diff
beta8 (53.59 KB, patch)
2017-05-16 11:40 UTC, Jan Beich
no flags Details | Diff
beta9 (53.99 KB, patch)
2017-05-21 00:33 UTC, Jan Beich
no flags Details | Diff
rc1 (53.62 KB, patch)
2017-06-06 11:53 UTC, Christoph Moench-Tegeder
no flags Details | Diff
rc3 (54.02 KB, patch)
2017-06-12 21:34 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-04-27 12:37:16 UTC
Firefox 54 is scheduled on 2017-06-13 with release candidates available a week earlier. I may be away at that time, so here's a WIP patch. Try testing non-default options e.g., RUST=off or SNDIO=on.
Comment 1 Jan Beich freebsd_committer 2017-04-27 12:37:49 UTC
Created attachment 182124 [details]
beta2
Comment 2 Jan Beich freebsd_committer 2017-05-09 15:19:04 UTC
Created attachment 182443 [details]
beta6
Comment 3 Jan Beich freebsd_committer 2017-05-16 11:40:20 UTC
Created attachment 182633 [details]
beta8
Comment 4 Jan Beich freebsd_committer 2017-05-21 00:33:53 UTC
Created attachment 182767 [details]
beta9
Comment 5 Christoph Moench-Tegeder freebsd_committer 2017-06-06 11:53:17 UTC
Created attachment 183262 [details]
rc1

kicking this along to rc1 - "works for me"
Comment 6 Jan Beich freebsd_committer 2017-06-12 21:34:14 UTC
Created attachment 183442 [details]
rc3

MFH may require ports r439925 as cargo < 0.16 is no longer supported. 2017Q2 has cargo-0.17, so it's mostly to reject old versions.
Comment 7 commit-hook freebsd_committer 2017-06-13 19:56:16 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jun 13 19:55:47 UTC 2017
New revision: 443536
URL: https://svnweb.freebsd.org/changeset/ports/443536

Log:
  www/firefox: update to 54.0

  Changes:	https://www.mozilla.org/firefox/54.0/releasenotes/
  PR:		218912
  Security:	6cec1b0a-da15-467d-8691-1dea392d4c8d
  MFH:		2017Q2 (requires r439925)

Changes:
  head/Mk/Uses/gecko.mk
  head/Mk/bsd.gecko.mk
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-bug1338655
  head/www/firefox/files/patch-bug1359051
  head/www/firefox/files/patch-bug1359142
  head/www/firefox/files/patch-bug847568
  head/www/firefox/files/patch-rust-option
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
Comment 8 Jan Beich freebsd_committer 2017-06-13 20:08:40 UTC
Expired.
Comment 9 Jan Beich freebsd_committer 2017-06-13 20:10:09 UTC
(In reply to Christoph Moench-Tegeder from comment #5)
Sorry, I forgot to note that as "Tested by: cmt".
Comment 10 commit-hook freebsd_committer 2017-06-14 14:02:29 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jun 14 14:01:35 UTC 2017
New revision: 443571
URL: https://svnweb.freebsd.org/changeset/ports/443571

Log:
  MFH: r443536

  www/firefox: update to 54.0

  Changes:	https://www.mozilla.org/firefox/54.0/releasenotes/
  PR:		218912
  Security:	6cec1b0a-da15-467d-8691-1dea392d4c8d
  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2017Q2/
  branches/2017Q2/Mk/Uses/gecko.mk
  branches/2017Q2/Mk/bsd.gecko.mk
  branches/2017Q2/www/firefox/Makefile
  branches/2017Q2/www/firefox/distinfo
  branches/2017Q2/www/firefox/files/patch-bug1338655
  branches/2017Q2/www/firefox/files/patch-bug1359051
  branches/2017Q2/www/firefox/files/patch-bug1359142
  branches/2017Q2/www/firefox/files/patch-bug847568
  branches/2017Q2/www/firefox/files/patch-rust-option
  branches/2017Q2/www/firefox-i18n/Makefile
  branches/2017Q2/www/firefox-i18n/distinfo